Support

Search Knowledge Base by Keyword

Supported devices

You are here:
< BACK

To start using the Snap Animal, go the the Stores and download the App.

Snap Animal on Google Play
Snap Animal on Apple Store

Android

Farm4Trade is not supported by devices with an Android version below 4.1. We only provide limited support to tablet users.

iPhone (iOS)

To use Snap Animal you need at least iOS 9 to run smoothly. Better yet, we recommend upgrading your device to iOS latest version if possible. We only provide limited support to iPad users, while iPod is not supported at all. Learn how to update your iPhone or iPad to the latest version of iOS.

 

Was this post helpful?

Menu